// WARNING
// -------
// This file contains spoilers for COTYLEDON
// Consider reading through the entire archive before picking apart this
// code, as this contains the beginning AND the ending sections, which
// contains very percise storytelling. You've been warned...
//
// --> https://paperclover.net/file/cotyledon <--
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//

// SPEEDBUMP
export function Speedbump() {
  return (
    <div class="panel last">
      <div className="header">
        an interlude
      </div>
      <div className="content file-view file-view-text speedbump">
        <canvas
          style="linear-gradient(45deg, #111318, #181f20)"
          data-canvas="cotyledon"
        >
        </canvas>
        <header>
          <h1>cotyledon</h1>
        </header>
        <div id="captcha" style="display: none;">
          <p style="max-width:480px">
            please prove you're not a robot by selecting all of the images with
            four-leaf clovers, until there are only regular clovers.
            <noscript>
              this will require javascript enabled on your computer to verify
              the mouse clicks.
            </noscript>
          </p>
          <div className="enter-container">
            <div className="image-grid">
              <button>
                <img src="/captcha/image/1.jpeg" alt="a four-leaf clover" />
              </button>
              <button>
                <img src="/captcha/image/2.jpeg" alt="a four-leaf clover" />
              </button>
              <button>
                <img src="/captcha/image/3.jpeg" alt="a four-leaf clover" />
              </button>
              <button>
                <img src="/captcha/image/4.jpeg" alt="a four-leaf clover" />
              </button>
              <button>
                <img src="/captcha/image/5.jpeg" alt="a four-leaf clover" />
              </button>
              <button>
                <img src="/captcha/image/6.jpeg" alt="a four-leaf clover" />
              </button>
              <button>
                <img src="/captcha/image/7.jpeg" alt="a four-leaf clover" />
              </button>
              <button>
                <img src="/captcha/image/8.jpeg" alt="a four-leaf clover" />
              </button>
              <button>
                <img src="/captcha/image/9.jpeg" alt="a four-leaf clover" />
              </button>
            </div>
          </div>
          <div class="enter-container">
            <button id="enter2">all done</button>
          </div>
        </div>
        <div id="first">
          <p>
            this place is sacred, but dangerous. i have to keep visitors to an
            absolute minimum; you'll get dust on all the artifacts.
          </p>
          <p>
            by entering our museum, you agree not to use your camera. flash off
            isn't enough; the bits and bytes are alergic even to a camera's
            sensor
          </p>
          <p style="font-size:0.9rem;">
            (in english: please do not store downloads after you're done viewing
            them)
          </p>
          <div class="enter-container">
            <button id="enter">break my boundaries</button>
          </div>
        </div>
      </div>
    </div>
  );
}

// OPENING
export function Readme() {
  return (
    <div class="panel last">
      <div className="header">
        cotyledon
      </div>
      <div className="content file-view file-view-text">
        <div style="max-width: 71ch;padding:3rem;font-family:rmo,monospace">
          <p style="margin-top:0">
            welcome to the archive. if this is your first time here, i recommend
            starting in '<a href="/file/2017">2017</a>' and going
            chronologically from there. however, there is truly no wrong way to
            explore.
          </p>
          <p>
            note that there is a blanket trigger warning for everything in this
            archive: while there is nothing visually offensive, some portions of
            the text and emotions conveyed through this may hit extremely hard.
            you are warned.
          </p>
          <p>
            all file dates are real. at least as real as i could figure out.
            when i moved data across drives over my years, i accidentally had a
            few points where i stamped over all the dates with the day that
            moved the files. even fucked it up a final time in february 2025,
            while in the process of unfucking things.
          </p>
          <p>
            thankfully, my past self knew i'd want to assemble this kind of
            site, and because of that they were crazy about storing the dates of
            things inside of html, json/yaml files, and even in fucking
            databases. i'm glad it was all stored though, but jeez what a nerd.
          </p>
          <p>
            a few files were touched up for privacy, or otherwise re-encoded.
            some of them i added extra metadata.
          </p>
          <p>
            from the bottom of my heart: i hope you enjoy. it has been a
            nightmare putting this all together. technically and emotionally
            speaking. i'm glad we can put this all behind us, mark it as
            completed, and get started with the good shit.
          </p>
          <p>
            love,<br />clo
          </p>
          <br />
          <p>
            start here -&gt; <a href="/file/2017">2017</a>
          </p>
        </div>
      </div>
    </div>
  );
}

// TRUE ENDING. Written in Apple Notes.
export function ForEveryone() {
  return (
    <>
      <div class="for_everyone">
        <p>today is my 21st birthday. april 30th, 2025.</p>
        <p>it's been nearly six months starting hormones.</p>
        <p>sometimes i feel great,</p>
        <p>sometimes i get dysphoria.</p>
        <p>with the walls around me gone</p>
        <p>that shit hits way harder than it did before.</p>
        <p>ugh..</p>
        <p>i'm glad the pain i felt is now explained,</p>
        <p>but now rendered in high definition.</p>
        <p>the smallest strands of hair on my face and belly act</p>
        <p>as sharpened nails to pierce my soul.</p>
        <p></p>
        <p>it's all a pathway to better days; the sun had risen.</p>
        <p>one little step at a time for both of us.</p>
        <p>today i quit my job. free falling, it feels so weird.</p>
        <p>like sky diving.</p>
        <p>the only thing i feel is cold wind.</p>
        <p>the only thing i see is everything,</p>
        <p>and it's beautiful.</p>
        <p>i have a month of falling before the parachute activates,</p>
        <p>gonna spend as much time of it on art as i can.</p>
        <p>that was, after all, my life plan:</p>
        <p>i wanted to make art, all the time,</p>
        <p>for everyone.</p>
        <p></p>
        <p>then you see what happened</p>
        <p>to the world and the internet.</p>
        <p>i never really got to live through that golden age,</p>
        <p>it probably sucked back then too.</p>
        <p>but now the big sites definitely stopped being fun.</p>
        <p>they slide their cold hands up my body</p>
        <p>and feel me around. it's unwelcoming, and</p>
        <p>inconsiderate to how sensitive my skin is.</p>
        <p>i'm so fucking glad i broke up with YouTube</p>
        <p>and their devilish friends.</p>
        <p>my NAS is at 5 / 24 TB</p>
        <p>and probably wont fill for the next decade.</p>
        <p></p>
        <p>it took 2 months for me to notice my body changed.</p>
        <p>that day was really nice, but it hurt a lot.</p>
        <p>a sharp, satisfying pain in my chest gave me life.</p>
        <p>learned new instincts for my arms</p>
        <p>so they'd stop poking my new shape.</p>
        <p>when i look at my face</p>
        <p>it's like a different person.</p>
        <p>she was the same as before, but completely new.</p>
        <p>something changed</p>
        <p>or i'm now used to seeing what makes me smile.</p>
        <p>regardless, whatever i see in the mirror, i smile.</p>
        <p>and, i don't hear that old name much anymore</p>
        <p>aside from nightmares. and you'll never repeat it, ok?</p>
        <p>okay.</p>
        <p></p>
        <p>been playing 'new canaan' by 'bill wurtz' on loop</p>
        <p>in the background.</p>
        <p>it kinda just feels right.</p>
        <p>especially when that verse near the end comes on.</p>
        <p></p>
        <p>more people have been allowed to visit me.</p>
        <p>my apartment used to be just for me,</p>
        <p>but the more i felt like a person</p>
        <p>the more i felt like having others over.</p>
        <p>still have to decorate and clean it a little,</p>
        <p>but it isn't a job to do alone.</p>
        <p>we dragged a giant a rug across the city one day,</p>
        <p>and it felt was like anything was possible.</p>
        <p>sometimes i have ten people visit in a day,</p>
        <p>or sometimes i focus my little eyes on just one.</p>
        <p>i never really know what i want to do</p>
        <p>until the time actually comes.</p>
        <p></p>
        {/* FILIP */}
        <p>i think about the times i was by the water with you.</p>
        <p>the sun setting warmly, icy air fell on our shoulders.</p>
        {/* NATALIE */}
        <p>and how we walked up to the top of that hill,</p>
        <p>you picked up and disposed a nail on the ground,</p>
        <p>walking the city thru places i've never been.</p>
        {/* BEN */}
        <p>or hiking through the park talking about compilers,</p>
        <p>tiring me out until i'd fall asleep in your arms.</p>
        {/* ELENA */}
        <p>and the way you held on to my hand as i woke up,</p>
        <p>noticing how i was trying to hide nightmare's tears.</p>
        <p></p>
        {/* HIGH SCHOOL */}
        <p>i remember we were yelling lyrics loudly,</p>
        <p>out of key yet cheered on because it was fun.</p>
        {/* ADVAITH/NATALIE */}
        <p>and when we all toured the big corporate office,</p>
        {/* AYU/HARRIS */}
        <p>then snuck in to some startup's office after hours;</p>
        <p>i don't remember what movie we watched.</p>
        {/* COLLEGE, DAY 1 IN EV's ROOM */}
        <p>i remember laying on the bunk bed,</p>
        <p>while the rest played a card game.</p>
        {/* MEGHAN/MORE */}
        <p>with us all laying on the rug, staring at the TV</p>
        <p>
          as the ending twist to {/* SEVERANCE */ "that show"} was revealed.
        </p>
        <p></p>
        <p>all the moments i cherish,</p>
        <p>i love because it was always me.</p>
        <p>i didn't have to pretend,</p>
        <p>even if i didn't know who i was at the time.</p>
        <p>you all were there. for me.</p>
        <p></p>
        <p>i don't want to pretend any more</p>
        <p>i want to be myself. for everyone.</p>
        <p></p>
        <p>oh, the song ended. i thought it was on loop?</p>
        <p>it's late... can hear the crickets...</p>
        <p>and i can almost see the moon... mmmm...</p>
        <p>...nah, too much light pollution.</p>
        <p></p>
        <p>one day. one day.</p>
        <p></p>
        <p class="normal">
          before i go, i want to show the uncensored version of "journal about a
          girl", because i can trust you at least. keep in mind, i think you're
          one of the first people to ever see this.
        </p>
      </div>
      <div class="for_everyone" style="max-width:80ch;">
        <blockquote>
          <p>journal - 2024-09-14</p>
          <p>
            been at HackMIT today on behalf of the company. it's fun. me and
            zack were running around looking for people that might be good
            hires. he had this magic arbitrary criteria to tell "oh this person
            is probably cracked let's talk to them" and we go to the first one.
            they were a nerd, perfect. they seemed to be extremely talented with
            some extreme software projects.<br />
            okay.. oof... its still clouding my mind<br />
            i cant shake that feeling away
          </p>
          <p>hold on...</p>
          <p>
            at some point they open one of their profiles to navigate to some
            code, and it displays for a couple of seconds: "pronouns: she/they".
            i don't actually know anything about this person, but it was my
            perception that she is trans. their appearance, physique, and age
            felt similar to me, which tends makes people think you are male.
          </p>
          <p>
            but... she was having fun being herself. being a legend of identity
            and of her skill in computer science. winning the physics major.
            making cool shit at the hackathon, and probably in life. my
            perception of her was the exact essence of who i myself wanted to
            be. i was jealous of her life.
          </p>
          <p>
            i tried hard to avoid a breakdown. success. but i was feeling
            distant. the next hour or so was disorienting, trying not to think
            about it too hard. i think there was one possibly interesting person
            we talked to. i don't remember any of the other conversations. they
            were not important. but i couldn't think through them regardless.
          </p>
          <p>
            later, i decided to read some of her code. i either have a huge
            dislike towards the Rust programming language and/or it was not high
            quality code. welp, so just is a person studying. my perception was
            just a perception, inaccurate but impacting. i know i need to become
            myself, whoever that is. otherwise, i'm just going to feel this shit
            at higher doses. i think about this every day, and the amount of
            time i feel being consumed by these problems only grows.
          </p>
          <p>
            getting through it all is a lonely feeling. not because no one is
            around, but because i am isolated emotionally. i know other people
            hit these feelings, but we all are too afraid to speak up, and it's
            all lonely.
          </p>
          <p>
            waiting on a reply from someone from healthcare. it'll be slow, but
            it will be okay.
          </p>
        </blockquote>
      </div>
      <div class="for_everyone">
        <p class="normal">
          i've learned that even when i feel alone, it doesn't have to feel
          lonely. i know it's hard, dear. i know it's scary. but i promise it's
          possible. we're all in this together. struggling together. sacrificing
          together. we dedicate our lives to each you, and our art for everyone.
        </p>

        <p
          class="normal"
          style="font-size:2rem;color:#9C91FF;font-family:times,serif;font-style:italic"
        >
          and then we knew,<br />
          just like paper airplanes: that we could fly...
        </p>
        <br />
        <p class="normal">
          <a
            href="/"
            style="text-decoration:underline;text-underline-offset:0.2em;"
          >
            fin.
          </a>
        </p>
      </div>
    </>
  );
}
ForEveryone.class = "text";
